package com.ifish.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Transient;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.ifish.enums.BooleanEnum;
import com.ifish.serializer.CustomDateSerializer;

/** 
 * @ClassName: tbl_information
 *  
 */
@Entity
@Table(name="tbl_information")
public class Information implements Serializable{
	
	private static final long serialVersionUID = 7472598147626976361L;
	/**
	 * ID
	 */
	@Id
	@Column(name="info_id")
	private Integer infoId;
	/**
	 * app展示
	 */
	@Column(name="app_show",length=1)
	private String appShow;
	/**
	 * 链接
	 */
	@Column(name="link",length=100)
	private String link;
	/**
	 * 标题
	 */
	@Column(name="title",length=50)
	private String title;
	/**
	 * 内容
	 */
	@Column(name="contents",length=50)
	private String contents;
	/**
	 * 图片
	 */
	@Column(name="image",length=20)
	private String image;
	/**
	 * 编辑器ID
	 */
	@Column(name="ueditor_id")
	private Integer ueditorId;
	/**
	 * 类型
	 */
	@Column(name="ueditor_type",length=1)
	private String ueditorType;
	/**
	 * 创建时间
	 */
	@JsonSerialize(using=CustomDateSerializer.class)
	@Column(name="create_time")
	@Temporal(TemporalType.TIMESTAMP)
	private Date createTime;
	/**
	 * 是否拼接用户ID
	 */
	@Transient
	private String isAddUserId = BooleanEnum.NO.getKey();
	
	public Integer getInfoId() {
		return infoId;
	}
	public void setInfoId(Integer infoId) {
		this.infoId = infoId;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getAppShow() {
		return appShow;
	}
	public void setAppShow(String appShow) {
		this.appShow = appShow;
	}
	public String getLink() {
		return link;
	}
	public void setLink(String link) {
		this.link = link;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public Integer getUeditorId() {
		return ueditorId;
	}
	public void setUeditorId(Integer ueditorId) {
		this.ueditorId = ueditorId;
	}
	public String getIsAddUserId() {
		return isAddUserId;
	}
	public void setIsAddUserId(String isAddUserId) {
		this.isAddUserId = isAddUserId;
	}
	public String getContents() {
		return contents;
	}
	public void setContents(String contents) {
		this.contents = contents;
	}
	public String getUeditorType() {
		return ueditorType;
	}
	public void setUeditorType(String ueditorType) {
		this.ueditorType = ueditorType;
	}
	public String getImage() {
		return image;
	}
	public void setImage(String image) {
		this.image = image;
	}
	
}
